Package org.eclipse.emf.compare.rcp.ui.internal.configuration.ui

# Interface IConfigurationUIFactory

All Known Implementing Classes:
  `DefaultMatchEngineConfiguatorUIFactory`

public interface IConfigurationUIFactory
Factory for `AbstractConfigurationUI`.

## Method Summary

Modifier and Type
Method
Description
`AbstractConfigurationUI`
`createUI(org.eclipse.swt.widgets.Composite parent, int style, org.eclipse.jface.preference.IPreferenceStore store)`
Create an `AbstractConfigurationUI`

## Method Details

### createUI

AbstractConfigurationUI createUI(org.eclipse.swt.widgets.Composite parent, int style, org.eclipse.jface.preference.IPreferenceStore store)
Create an `AbstractConfigurationUI`

Parameters:
  `parent` - Parent composite.
  `style` - Style of the new `AbstractConfigurationUI`
  `store` - `IPreferenceStore` to store configuration.
Returns:
  Configuration UI